Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::LuceneSignal Class Reference

Utility class to support signaling notifications. More...

`#include <LuceneSignal.h>`

## Public Member Functions

| LuceneSignal (SynchronizePtr objectLock=SynchronizePtr())
virtual | ~LuceneSignal ()
void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static void | createSignal (LuceneSignalPtr &signal, SynchronizePtr objectLock)
| create a new LuceneSignal instance atomically. More...

## Protected Attributes

boost::mutex | waitMutex
boost::condition | signalCondition
SynchronizePtr | objectLock

## Detailed Description

Utility class to support signaling notifications.

## Constructor & Destructor Documentation

Lucene::LuceneSignal::LuceneSignal | ( | SynchronizePtr | objectLock = `SynchronizePtr()`) |  |

virtual Lucene::LuceneSignal::~LuceneSignal | ( | ) |  |

virtual

## Member Function Documentation

static void Lucene::LuceneSignal::createSignal | ( | LuceneSignalPtr & | signal,
|  | SynchronizePtr | objectLock
| ) |  |

static

create a new LuceneSignal instance atomically.

void Lucene::LuceneSignal::notifyAll | ( | ) |  |

Notify all threads waiting for signal.

void Lucene::LuceneSignal::wait | ( | int32_t | timeout = `0`) |  |

Wait for signal using an optional timeout.

## Field Documentation

SynchronizePtr Lucene::LuceneSignal::objectLock

protected

boost::condition Lucene::LuceneSignal::signalCondition

protected

boost::mutex Lucene::LuceneSignal::waitMutex

protected

The documentation for this class was generated from the following file:

- LuceneSignal.h

clucene.sourceforge.net